Knowledge Base /
Technical Notes
Installing Mimic v3.6.3+ on Server 2008 SP2
By Aaron Johnson
Product: Mimic Simulation

In Mimic versions 3.6.3 and higher, the Mimic installer will attempt to install .NET version 4.6.2 if a sufficient version of .NET framework is not found (version 4.5 or greater).

Unfortunately, Microsoft has discontinued mainline support for Windows Server 2008 SP2, so .NET 4.6.2 cannot be installed on it. On this OS the Mimic installer will, instead, attempt to download and install the latest supported version of the .NET framework: version 4.5.2. If the machine you are attempting to install on does not have Internet access (or the download fails for some other reason) you will receive a cryptic error message: “Error 1001.”

Error Message

If the download or installation of .NET 4.5.2 fails, you can manually download the offline installer from Microsoft’s website.

Offline Installer

Copy this installer onto the machine you are attempting to install on, and run the .NET installer manually. Once this has completed, the Mimic installation should be able to complete successfully.


Please contact us for any questions.

1.636.728.2000
support@mynah.com